Page 10 of 20 FirstFirst 12345678910111213141516171819 ... LastLast
Results 181 to 200 of 385

Thread: UMCenturion's Ancient Empires: Legions for DEI, updated on 01/12/2019 1.2.5a Compatibility patch

  1. #181
    ♔Greek Strategos♔'s Avatar BEARDED MODERATION
    Join Date
    Feb 2008
    Location
    Athens
    Posts
    11,274

    Default Re: UMCenturion's Ancient Empires: Legions for DEI 1.2.2e Compatibility patch (W.I.P.)

    Quote Originally Posted by Dardo21 View Post
    Yeah, I even have that without UM's mod actually :p, it's indeed when there's too many units being listed in the UI screen.
    Go fix that thing already.

  2. #182

    Default Re: UMCenturion's Ancient Empires: Legions for DEI 1.2.2e Compatibility patch (W.I.P.)

    No one can...

  3. #183
    ♔Greek Strategos♔'s Avatar BEARDED MODERATION
    Join Date
    Feb 2008
    Location
    Athens
    Posts
    11,274

    Default Re: UMCenturion's Ancient Empires: Legions for DEI 1.2.2e Compatibility patch (W.I.P.)

    Quote Originally Posted by Tenerife_Boy View Post
    No one can...
    Only God.
    I was teasing him.

  4. #184

    Default Re: UMCenturion's Ancient Empires: Legions for DEI 1.2.2e Compatibility patch (W.I.P.)

    Bait denied.

  5. #185
    ♔Greek Strategos♔'s Avatar BEARDED MODERATION
    Join Date
    Feb 2008
    Location
    Athens
    Posts
    11,274

    Default Re: UMCenturion's Ancient Empires: Legions for DEI 1.2.2e Compatibility patch (W.I.P.)

    Quote Originally Posted by Dardo21 View Post
    Bait denied.
    A wise man.
    Last edited by ♔Greek Strategos♔; December 14, 2017 at 04:46 PM.

  6. #186

    Default Re: UMCenturion's Ancient Empires: Legions for DEI 1.2.2e Compatibility patch (W.I.P.)

    Maybe I should have posted this here?
    @ Dardo21 - I confirm you that the units triggers with the reform. Now the main problem is that they are not integrated with the Population system. So a patch update to get it would be a step in the right direction. Legionarii unit from base DeI is taken from Plabe cathegory, you can do the same with these legionaries.

  7. #187

    Default Re: UMCenturion's Ancient Empires: Legions for DEI 1.2.2e Compatibility patch (W.I.P.)

    They've been integrated with the population system for about a year already. The script overwrite for it is included in the main mod, however I've added the population values for the new Empire Divided units, although that should have had no effect on the other campaigns anyway.
    Last edited by Dardo21; December 17, 2017 at 07:48 PM.

  8. #188

    Default Re: UMCenturion's Ancient Empires: Legions for DEI 1.2.2e Compatibility patch (W.I.P.)

    Not even bro, check this error message:
    Spoiler Alert, click show to read: 

    Furthermore, when you upgrade your units you get the base DeI units wich is a pity cause you should be getting the units from this mod and depending on the area you are upgrading you get one unit or the other. Right now I can recruit every legion no matter what I am.

  9. #189

    Default Re: UMCenturion's Ancient Empires: Legions for DEI 1.2.2e Compatibility patch (W.I.P.)

    You're the one of the first persons to ever have that bug with this mod, if you look at screenshots by other players, you'll see that they all get their population cost displayed normally. Which leads me to the conclude that either the mod is loaded in the wrong order, or another mod is superceding this mod and overwriting some of the files, like when you used the beta for the barbarian overhaul together with this mod, which caused the imperial units to unlock.

    As far as the AOR goes, the regular DEI units don't upgrade into the named units depending on the region, you recruit named marian units based on their AOR and then upgrade those to their imperial counterparts when the imperial reforms hit, any regular polybian units will upgrade to normal dei units, anything else was never planned. Making regular units upgrade into AOR units would take a scripting ability that I don't possess, and I'm not sure if it would even be possible at all.

  10. #190

    Default Re: UMCenturion's Ancient Empires: Legions for DEI 1.2.2e Compatibility patch (W.I.P.)

    You're the one of the first persons to ever have that bug with this mod, if you look at screenshots by other players, you'll see that they all get their population cost displayed normally. Which leads me to the conclude that either the mod is loaded in the wrong order, or another mod is superceding this mod and overwriting some of the files, like when you used the beta for the barbarian overhaul together with this mod, which caused the imperial units to unlock.
    I use Steam Launcher. the order from left to right (wich would be from top to the bottom on MM) is: @@@@@umslegionspatch>@@@@fixpack122f>@@@@nopogarrison>@@12legioMAIN(True legions for true romans mod, wich is only a reskin mod, no additional units added)>@varios celticus mods>AncientEmpires Legions for DeI(steam workshop)>DeI parts .

    So no mod conflicting? I even see the imperials legions right there...something must be wrong. How many reports have you get from people actually playing the campaign?

    As far as the AOR goes, the regular DEI units don't upgrade into the named units depending on the region, you recruit named marian units based on their AOR and then upgrade those to their imperial counterparts when the imperial reforms hit, any regular polybian units will upgrade to normal dei units, anything else was never planned. Making regular units upgrade into AOR units would take a scripting ability that I don't possess, and I'm not sure if it would even be possible at all.
    Ok to this, it's not a big deal.

    Thanks for the help

  11. #191

    Default Re: UMCenturion's Ancient Empires: Legions for DEI 1.2.2e Compatibility patch (W.I.P.)

    @@@@fixpack122f is that a beta patch for DEI? it could include the population script, which would then overwrite the one from UM's main mod, I added an updated version of the pop script to my patch, so if you redownload that one, it should have the script at the start of the row

  12. #192

    Default Re: UMCenturion's Ancient Empires: Legions for DEI 1.2.2e Compatibility patch (W.I.P.)

    Just to let everyone knows, Dardo21 fixed my problem. I was using an old patch verison.

    Spoiler Alert, click show to read: 


    Thank you bro, +rep !

  13. #193

    Default Re: UMCenturion's Ancient Empires: Legions for DEI 1.2.2f Compatibility patch (W.I.P.)

    Updated to bring it in-line with 1.2.2f, only some changes to population values for other units as far as I could see, there should be no effect on existing saves.

  14. #194

    Default Re: UMCenturion's Ancient Empires: Legions for DEI 1.2.2f Compatibility patch (W.I.P.)

    Got it !

  15. #195
    ♔Greek Strategos♔'s Avatar BEARDED MODERATION
    Join Date
    Feb 2008
    Location
    Athens
    Posts
    11,274

    Default Re: UMCenturion's Ancient Empires: Legions for DEI 1.2.2f Compatibility patch (W.I.P.)

    You're the man Dardo.
    Cheers buddy.

  16. #196

    Default Re: UMCenturion's Ancient Empires: Legions for DEI 1.2.2f Compatibility patch (W.I.P.)

    Updated to 1.2.2h added the new formation as well as fixed the pilums for the new animations.

  17. #197
    ♔Greek Strategos♔'s Avatar BEARDED MODERATION
    Join Date
    Feb 2008
    Location
    Athens
    Posts
    11,274

    Default Re: UMCenturion's Ancient Empires: Legions for DEI 1.2.2f Compatibility patch (W.I.P.)

    Quote Originally Posted by Dardo21 View Post
    Updated to 1.2.2h added the new formation as well as fixed the pilums for the new animations.
    Thanks buddy.
    People should really test our new additions-changes. They're really cool especially for Romans.

  18. #198

    Default Re: UMCenturion's Ancient Empires: Legions for DEI 1.2.2f Compatibility patch (W.I.P.)

    Hey guys. Not sure if it's something I have done, but after downloading the update my game gets stuck on the loading screen. If I take out the patch then it loads fine, any ideas?

  19. #199

    Default Re: UMCenturion's Ancient Empires: Legions for DEI 1.2.2f Compatibility patch (W.I.P.)

    You're still using UMCenturion's main mod?

  20. #200

    Default Re: UMCenturion's Ancient Empires: Legions for DEI 1.2.2f Compatibility patch (W.I.P.)

    I am yes, should I not be?

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •